StringKey Class Reference

`#include <PtexHashMap.h>`

## Public Member Functions

| StringKey ()
| StringKey (const char *val)
| ~StringKey ()
void | copy (volatile StringKey &key) volatile
void | move (volatile StringKey &key) volatile
bool | matches (const StringKey &key) volatile
bool | isEmpty () volatile
uint32_t | hash () volatile

## Private Member Functions

void | operator= (const StringKey &key)
| StringKey (const StringKey &key)

## Private Attributes

const char *volatile | _val
uint32_t volatile | _len
uint32_t volatile | _hash
bool volatile | _ownsVal

## Detailed Description

Definition at line 82 of file PtexHashMap.h.

## Constructor & Destructor Documentation

## StringKey() [1/3]

StringKey::StringKey | ( | const StringKey & | key | ) |

private

## StringKey() [2/3]

StringKey::StringKey | ( |  | ) |

inline

Definition at line 93 of file PtexHashMap.h.

## StringKey() [3/3]

StringKey::StringKey | ( | const char * | val | ) |

inline

Definition at line 94 of file PtexHashMap.h.

References _hash, _len, _ownsVal, _val, and memHash().

## ~StringKey()

StringKey::~StringKey | ( |  | ) |

inline

Definition at line 102 of file PtexHashMap.h.

References _ownsVal, and _val.

## Member Function Documentation

## copy()

void StringKey::copy | ( | volatile StringKey & | key | ) | volatile

inline

Definition at line 104 of file PtexHashMap.h.

References _hash, _len, _ownsVal, and _val.

## hash()

uint32_t StringKey::hash | ( |  | ) | volatile

inline

Definition at line 130 of file PtexHashMap.h.

References _hash.

## isEmpty()

bool StringKey::isEmpty | ( |  | ) | volatile

inline

Definition at line 128 of file PtexHashMap.h.

References _val.

## matches()

bool StringKey::matches | ( | const StringKey & | key | ) | volatile

inline

Definition at line 123 of file PtexHashMap.h.

References _hash, _len, _val, and memCompare().

## move()

void StringKey::move | ( | volatile StringKey & | key | ) | volatile

inline

Definition at line 114 of file PtexHashMap.h.

References _hash, _len, _ownsVal, and _val.

## operator=()

void StringKey::operator= | ( | const StringKey & | key | ) |

private

## Member Data Documentation

## _hash

uint32_t volatile StringKey::_hash

private

Definition at line 86 of file PtexHashMap.h.

Referenced by copy(), hash(), matches(), move(), and StringKey().

## _len

uint32_t volatile StringKey::_len

private

Definition at line 85 of file PtexHashMap.h.

Referenced by copy(), matches(), move(), and StringKey().

## _ownsVal

bool volatile StringKey::_ownsVal

private

Definition at line 87 of file PtexHashMap.h.

Referenced by copy(), move(), StringKey(), and ~StringKey().

## _val

const char* volatile StringKey::_val

private

Definition at line 84 of file PtexHashMap.h.

Referenced by copy(), isEmpty(), matches(), move(), StringKey(), and ~StringKey().

The documentation for this class was generated from the following file:

- PtexHashMap.h